package com.flow;


import org.flowable.engine.HistoryService;
import org.flowable.engine.TaskService;
import org.flowable.task.api.Task;
import org.flowable.task.api.history.HistoricTaskInstance;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@SpringBootTest(classes = FlowApplication.class)
@RunWith(SpringRunner.class)
public class FlowApplicationTest {
    @Autowired
    private TaskService taskService;
    @Autowired
    private HistoryService historyService;
    @Test
    public void test() {
        List<HistoricTaskInstance> list = historyService.createHistoricTaskInstanceQuery()
                .processInstanceId("1774782190855913474")
                .list();
        System.out.println("list = " + list);
        List<Task> list1 = taskService.createTaskQuery()
                .processInstanceId("1774782190855913474")
                .list();
        System.out.println("list1 = " + list1);
    }
}
