package com.flow.entity;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.flow.common.mybatis.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("report_datasource")
public class ReportDatasource extends BaseEntity {
    @TableField(condition = SqlCondition.LIKE)
    private String name;
    private Integer type;
    protected String url;
    protected String username;
    protected String password;
}
